curl --request POST \
--url https://api.clickpesa.com/third-parties/payments/initiate-card-payment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": "<string>",
"orderReference": "<string>",
"currency": "USD",
"customer": {
"id": "<string>"
},
"checksum": "<string>"
}
'{
"cardPaymentLink": "<string>",
"clientId": "<string>"
}curl --request POST \
--url https://api.clickpesa.com/third-parties/payments/initiate-card-payment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": "<string>",
"orderReference": "<string>",
"currency": "USD",
"customer": {
"id": "<string>"
},
"checksum": "<string>"
}
'{
"cardPaymentLink": "<string>",
"clientId": "<string>"
}Authorization header containing the JWT access token returned from the generate token endpoint. The token already includes the Bearer prefix. Example: Authorization: Bearer eyJhbGciOi...
Your payment amount
Your unique Order reference
USD Customer
Show child attributes
If enabled, this is the generated checksum of the payload. Refer to the documentation for more details.